* -------------- glb_2 reset closure variables -------------------------
$ontext
 If closure rules are to be changed when running experiments in LOOPS
 it is necessary to first free all variables that are involved in ANY
 closure rule or the equation variable count will be lost.
$offtext

*## FOREIGN EXCHANGE MARKET CLOSURE

 ERPI.LO                     = -inf ;  ERPI.UP                     = +inf ;
 ER.LO("glo")                = -inf ;  ER.UP("glo")                = +inf ;
 ER.LO(rgn)                  = -inf ;  ER.UP(rgn)                  = +inf ;
 KAPWOR.LO(rgn)              = -inf ;  KAPWOR.UP(rgn)              = +inf ;
* KAPWOR.LO("glo")            = -inf ;  KAPWOR.UP("glo")            = +inf ;

*## INVESTMENT-SAVINGS CLOSURE

 SADJ.LO(r)                  = -inf ;  SADJ.UP(r)                  = +inf ;
 DSHH.LO(r)                  = -inf ;  DSHH.UP(r)                  = +inf ;
 IADJ.LO(r)                  = -inf ;  IADJ.UP(r)                  = +inf ;
 INVEST.LO(r)                = -inf ;  INVEST.UP(r)                = +inf ;
 INVESTSH.LO(r)              = -inf ;  INVESTSH.UP(r)              = +inf ;

*## GOVT CLOSURE RULES

* Closure rule for Government savings is part of the Govt Closure Rules

 TEADJ.LO(r)                 = -inf ;  TEADJ.UP(r)                 = +inf ;
 TMADJ.LO(r)                 = -inf ;  TMADJ.UP(r)                 = +inf ;
 TMSADJ.LO(r)                = -inf ;  TMSADJ.UP(r)                = +inf ;
 TSADJ.LO(r)                 = -inf ;  TSADJ.UP(r)                 = +inf ;
 TVADJ.LO(r)                 = -inf ;  TVADJ.UP(r)                 = +inf ;
 TXADJ.LO(r)                 = -inf ;  TXADJ.UP(r)                 = +inf ;
 TYFADJ.LO(r)                = -inf ;  TYFADJ.UP(r)                = +inf ;
 TYHADJ.LO(r)                = -inf ;  TYHADJ.UP(r)                = +inf ;
 TFADJ.LO(r)                 = -inf ;  TFADJ.UP(r)                 = +inf ;

 DTE.LO(r)                   = -inf ;  DTE.UP(r)                   = +inf ;
 DTM.LO(r)                   = -inf ;  DTM.UP(r)                   = +inf ;
 DTMS.LO(r)                  = -inf ;  DTMS.UP(r)                  = +inf ;
 DTS.LO(r)                   = -inf ;  DTS.UP(r)                   = +inf ;
 DTV.LO(r)                   = -inf ;  DTV.UP(r)                   = +inf ;
 DTX.LO(r)                   = -inf ;  DTX.UP(r)                   = +inf ;
 DTYF.LO(r)                  = -inf ;  DTYF.UP(r)                  = +inf ;
 DTYH.LO(r)                  = -inf ;  DTYH.UP(r)                  = +inf ;
 DTF.LO(r)                   = -inf ;  DTF.UP(r)                   = +inf ;

 QGDADJ.LO(r)                = -inf ;  QGDADJ.UP(r)                = +inf ;
 EG.LO(r)                    = -inf ;  EG.UP(r)                    = +inf ;
 VGDSH.LO(r)                 = -inf ;  VGDSH.UP(r)                 = +inf ;
 KAPGOV.LO(r)                = -inf ;  KAPGOV.UP(r)                = +inf ;

*## FACTOR MARKET CLOSURE

 FS.LO(f,r)$FS0(f,r)         = -inf ;  FS.UP(f,r)$FS0(f,r)         = +inf ;
 FD.LO(f,a,r)$FD0(f,a,r)     = -inf ;  FD.UP(f,a,r)$FD0(f,a,r)     = +inf ;
 WFDIST.LO(f,a,r)            = -inf ;  WFDIST.UP(f,a,r)            = +inf ;
 WF.LO(f,r)$WF0(f,r)         = -inf ;  WF.UP(f,r)$WF0(f,r)         = +inf ;

* # Technology Closures for Factor Market

 ADXADJ.LO(r)                = -inf ;  ADXADJ.UP(r)                = +inf ;
 DADX.LO(r)                  = -inf ;  DADX.UP(r)                  = +inf ;

 ADVAADJ.LO(r)               = -inf ;  ADVAADJ.UP(r)               = +inf ;
 DADVA.LO(r)                 = -inf ;  DADVA.UP(r)                 = +inf ;

 ADFD.LO(f,a,r)              = -inf ;  ADFD.UP(f,a,r)              = +inf ;

 ADFDfADJ.LO(f)              = -inf ;  ADFDfADJ.UP(f)              = +inf ;
 ADFDaADJ.LO(a)              = -inf ;  ADFDaADJ.UP(a)              = +inf ;
 ADFDrADJ.LO(r)              = -inf ;  ADFDrADJ.UP(r)              = +inf ;

*## MISCELLANEOUS FIXED VARIABLES

 CPI.LO(r)                   = -inf ;  CPI.UP(r)                   = +inf ;
 PPI.LO(r)                   = -inf ;  PPI.UP(r)                   = +inf ;

* -------------- end of glb2 reset closure variables ---------------------
